#!/bin/sh
# the next line restarts using tclsh \
    exec tclsh "$0" "$@"

# genalbum.tcl is run from the command line in the directory.

set auto_path [linsert $auto_path end [file dir [info script]]]

package require album

proc callback {done todo} {
    puts [format "%d %% complete" [expr int($done / double($todo) * 100)]]
}

# genalbum --
#
#	Generates an html photo album from an existing XML album with
#	the filename "htmlalbum.xml".
#
# Arguments:
#	None.
#
# Side Effects:
#	Creates HTML pages, thumbnails.
#
# Results:
#	None.

proc genalbum {} {
    set Album [Album \#auto]
    $Album getxml htmlalbum.xml
    $Album writehtml index.html callback
}

genalbum